### Method

# FwupdPlugin Device set_progress

since: 1.7.0

#### Declaration [src]

    void
    fu_device_set_progress (
      FuDevice* self,
      FuProgress* progress
    )

#### Description [src]

Sets steps on the progress object used to write firmware.

Available since: 1.7.0

#### Parameters

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the method.